Bug 1763 - slocate unusable until /etc/cron.daily/slocate.cron first run
slocate unusable until /etc/cron.daily/slocate.cron first run
Product: Red Hat Raw Hide
Classification: Retired
Component: slocate (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
Depends On:
  Show dependency treegraph
Reported: 1999-03-24 17:20 EST by Jason Cooper
Modified: 2014-07-24 23:45 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-10-15 14:40:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jason Cooper 1999-03-24 17:20:37 EST
slocate will not function until this is run, which may
create initial confusion for users immediately after
Comment 1 Preston Brown 1999-03-24 19:21:59 EST
Matt, maybe we should run it as part of the post installation
Comment 2 Michael K. Johnson 1999-03-26 14:07:59 EST
Install time would be bad (it would get some files and not others
if it was started in the middle of the install, and it could mess
up disk space calculations); even spawning it at boot could be
bad because it could conflict with the cron version starting,
which means it needs to use a lock file if we choose to do this.
I'd rather see a more general approach to the problem.  locate
complained as well.
Comment 3 Cristian Gafton 1999-04-12 13:08:59 EDT
This should be done as part of a larger schdeule of tasks that would
be run at the first boot into the new installed system.

This would require some re-engineering work for now, so I guess people
will have to live with locate not working on the first day.
Comment 4 Aleksey Nogin 2002-10-25 18:18:56 EDT
Is this problem still around? If so, I would guess that slocate.cron could be
added to firstboot now.
Comment 5 Barry K. Nathan 2004-07-14 12:24:02 EDT
Yes, this problem is still around, but (aside from RHEL 3) it's
ameliorated by anacron; the delay is now a little over an hour, not up
to a whole day as before. (Perhaps anacron was also around when this
bug was first filed, but I really don't know one way or the other.)

Especially with the existence of anacron, trying to fix this may not
be worth the bother. As it is, users already need to be aware that
locate is using a snapshot that could be up to a day old; in
comparison, not having locate work for the first hour (or so) after
installation is a very minor issue IMO.
Comment 6 Thomas Woerner 2004-10-15 14:40:22 EDT
This is already fixed, so closing as "NOT A BUG" anymore.

Note You need to log in before you can comment on or make changes to this bug.